Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.contains
Class HorizontalWidgetBoxLayoutManager

    java.lang.Object
      edu.stanford.smi.protegex.widget.contains.WidgetBoxLayoutManager
          edu.stanford.smi.protegex.widget.contains.HorizontalWidgetBoxLayoutManager

All Implemented Interfaces:
  LayoutManager

    public class HorizontalWidgetBoxLayoutManager

extends WidgetBoxLayoutManager

Description of the Class

Author:
  William Grosso

Field Summary
`protected int` | `_outsideScrollPaneWidth`

Fields inherited from class edu.stanford.smi.protegex.widget.contains.WidgetBoxLayoutManager
`_currentContainer, _outsideScrollPane, _parentComponent, _widgetBoxSize, _widgetSeparators`

Constructor Summary
`HorizontalWidgetBoxLayoutManager()`

Method Summary
`protected void` | `actuallyAddWrappers()`
`protected void` | `adjustBoxSizeForScrollPane()`
`protected void` | `makeFirstPassAtBoxDimensions()`

Methods inherited from class edu.stanford.smi.protegex.widget.contains.WidgetBoxLayoutManager
`addLayoutComponent, layoutContainer, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _outsideScrollPaneWidth

    protected int _outsideScrollPaneWidth

Constructor Detail

### HorizontalWidgetBoxLayoutManager

    public HorizontalWidgetBoxLayoutManager()

Method Detail

### actuallyAddWrappers

    protected void actuallyAddWrappers()

  Specified by:
    `actuallyAddWrappers` in class `WidgetBoxLayoutManager`

### adjustBoxSizeForScrollPane

    protected void adjustBoxSizeForScrollPane()

  Specified by:
    `adjustBoxSizeForScrollPane` in class `WidgetBoxLayoutManager`

### makeFirstPassAtBoxDimensions

    protected void makeFirstPassAtBoxDimensions()

  Specified by:
    `makeFirstPassAtBoxDimensions` in class `WidgetBoxLayoutManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request